# property::exists

Checks whether the specified property exists.

### Usage

`bool property::exists(name)`

### Parameters

Name | Type | Description
--- | --- | ---
name | string | The property to test.

### Return Value

true if the specified property exists; otherwise, false.

### Examples

- Execute a set of tasks if the "build.debug" property exists.

      <if test="${property::exists('build.debug')}">
          <echo message="Starting debug build" />
          <call target="init-debug" />
          <call target="build" />
      </if>

### Requirements

Assembly: NAnt.Core (0.85.2478.0)